<?php

namespace Cli;

use Cli\Collection\CommandsCollection;

class Factory
{

    /**
     * @var array
     */
    private $argv;

    /**
     * Factory constructor.
     */
    public function __construct()
    {
        global $argv;
        $this->argv = $argv;
    }

    public function handle()
    {
        $command = $this->argv[1];

        $executor = CommandsCollection::get($command);
        $executor->handle();
    }

}